Pardon our mess These API docs are a work in progress. Endpoints, examples, and behavior may change as we continue to develop the Partner API v2.

Partner API

ICS calendar feed

GET /api/v2/appointments/ics - Download appointments and/or blocks as a text/calendar (.ics) file for the given date range. Use this to share or import into Google Calendar, Outlook, Apple Calendar, etc.

GET/api/v2/appointments/ics

Download appointments and/or blocks as a text/calendar (.ics) file for the given date range. Use this to share or import into Google Calendar, Outlook, Apple Calendar, etc.

Required scope: appointments (or *).

Query parameters

NameRequiredDescription
fromYesRange start (YYYY-MM-DD or datetime)
toYesRange end (YYYY-MM-DD or datetime)
agent_uuidNoFilter by assigned agent
appointment_typeNo`appointment` or `block`
nameNoCalendar display name (X-WR-CALNAME)
curl -s -H "Authorization: Bearer YOUR_TOKEN" \
  "https://benefitpath.com/api/v2/appointments/ics?from=2026-07-01&to=2026-07-31&appointment_type=block"
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Benefit Path//Partner API//EN
...
END:VCALENDAR

See Errors for the standard error envelope and rate limits.